AppdefEntityID (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefEntityID class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefEntityID

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefEntityID

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AppdefEntityTypeID

    public class AppdefEntityID

extends java.lang.Object
implements java.io.Serializable

a class which represents a unique object within the Appdef framework.

See Also:
  Serialized Form

Constructor Summary
`AppdefEntityID(int entityType, int entityID)`
`AppdefEntityID(int entityType, java.lang.Integer entityID)`
`AppdefEntityID(Resource rv)`
`AppdefEntityID(java.lang.String id)` build an AppdefEntityID from a string key of the form: [entityType]:[entityID]

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getAppdefKey()`
`java.lang.Integer` | `getAuthzTypeId()` Return the ID of this entity id object's authz resource type.
`java.lang.String` | `getAuthzTypeName()` Return the string name of this entity id object's authz resource type.
`java.lang.Integer` | `getId()`
`int` | `getID()`
`int` | `getType()`
`java.lang.String` | `getTypeName()`
`int` | `hashCode()`
`boolean` | `isApplication()` Convenience method to check if this is a application
`boolean` | `isGroup()` Convenience method to check if this is a group
`boolean` | `isPlatform()` Convenience method to check if this is a platform
`boolean` | `isServer()` Convenience method to check if this is a server
`boolean` | `isService()` Convenience method to check if this is a service
`static AppdefEntityID` | `newAppID(java.lang.Integer id)`
`static AppdefEntityID` | `newGroupID(java.lang.Integer id)`
`static AppdefEntityID` | `newPlatformID(java.lang.Integer id)`
`static AppdefEntityID` | `newServerID(java.lang.Integer id)`
`static AppdefEntityID` | `newServiceID(java.lang.Integer id)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppdefEntityID

    public AppdefEntityID(java.lang.String id)

  build an AppdefEntityID from a string key of the form: [entityType]:[entityID]

### AppdefEntityID

    public AppdefEntityID(int entityType,
                          int entityID)

### AppdefEntityID

    public AppdefEntityID(int entityType,
                          java.lang.Integer entityID)

### AppdefEntityID

    public AppdefEntityID(Resource rv)

Method Detail

### getType

    public int getType()

### getTypeName

    public java.lang.String getTypeName()

### getID

    public int getID()

### getId

    public java.lang.Integer getId()

### getAppdefKey

    public java.lang.String getAppdefKey()

### getAuthzTypeName

    public java.lang.String getAuthzTypeName()

  Return the string name of this entity id object's authz resource type.

### getAuthzTypeId

    public java.lang.Integer getAuthzTypeId()

  Return the ID of this entity id object's authz resource type.

### isPlatform

    public boolean isPlatform()

  Convenience method to check if this is a platform

  Returns:
    true if this entity refers to a platform, false otherwise.

### isServer

    public boolean isServer()

  Convenience method to check if this is a server

  Returns:
    true if this entity refers to a server, false otherwise.

### isService

    public boolean isService()

  Convenience method to check if this is a service

  Returns:
    true if this entity refers to a service, false otherwise.

### isApplication

    public boolean isApplication()

  Convenience method to check if this is a application

  Returns:
    true if this entity refers to a application, false otherwise.

### isGroup

    public boolean isGroup()

  Convenience method to check if this is a group

  Returns:
    true if this entity refers to a group, false otherwise.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### newPlatformID

    public static AppdefEntityID newPlatformID(java.lang.Integer id)

### newServerID

    public static AppdefEntityID newServerID(java.lang.Integer id)

### newServiceID

    public static AppdefEntityID newServiceID(java.lang.Integer id)

### newAppID

    public static AppdefEntityID newAppID(java.lang.Integer id)

### newGroupID

    public static AppdefEntityID newGroupID(java.lang.Integer id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.